Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet
Class OpaqueStateString

    java.lang.Object
      org.jboss.portal.portlet.StateString
          org.jboss.portal.portlet.OpaqueStateString

All Implemented Interfaces:
  java.io.Serializable

    public class OpaqueStateString

extends StateString

An opaque implementation of the navigational state.

Version:
  $Revision: 5448 $
Author:
  Julien Viet
See Also:
  Serialized Form

Constructor Summary
`OpaqueStateString(java.lang.String value)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getStringValue()` Return the value of the navigational state of the portlet.
`int` | `hashCode()`
`void` | `writeTo(java.io.DataOutputStream out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpaqueStateString

    public OpaqueStateString(java.lang.String value)

Method Detail

### getStringValue

    public java.lang.String getStringValue()

  Description copied from class: `StateString`
  Return the value of the navigational state of the portlet.

  Specified by:
    `getStringValue` in class `StateString`
  Returns:
    the string value

### writeTo

    public void writeTo(java.io.DataOutputStream out)
                 throws java.io.IOException

  Specified by:
    `writeTo` in class `StateString`
  Throws:
    `java.io.IOException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.